import type { Snippet } from "svelte";
type BaseTab = {
    link: string;
    activeOnDescendent?: boolean;
    matchPath?: RegExp;
};
interface TabOptionalTitle extends BaseTab {
    title?: string;
    icon: string;
}
interface TabOptionalIcon extends BaseTab {
    title: string;
    icon?: string;
}
export type Tab = TabOptionalTitle | TabOptionalIcon;
export type Props = {
    content: Snippet;
    tabs: Tab[];
    tabPosition?: "top" | "bottom";
    viewTransition?: boolean;
    fixedElements?: Snippet;
};
declare const Tabs: import("svelte").Component<Props, {}, "">;
type Tabs = ReturnType<typeof Tabs>;
export default Tabs;
